vtkImagePlanarComponentsToComponents Class Reference

`#include <vtkImagePlanarComponentsToComponents.h>`

Inheritance diagram for vtkImagePlanarComponentsToComponents:
[legend]
Collaboration diagram for vtkImagePlanarComponentsToComponents:
[legend]

## Public Member Functions

void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeMacro (vtkImagePlanarComponentsToComponents, vtkImageAlgorithm)

## Static Public Member Functions

static vtkImagePlanarComponentsToComponents * | New ()

## Protected Member Functions

| vtkImagePlanarComponentsToComponents ()
| ~vtkImagePlanarComponentsToComponents ()
virtual int | RequestData (vtkInformation *, vtkInformationVector **, vtkInformationVector *)

## Constructor & Destructor Documentation

## vtkImagePlanarComponentsToComponents()

vtkImagePlanarComponentsToComponents::vtkImagePlanarComponentsToComponents | ( |  | ) |

protected

Referenced by New(), RequestData(), and vtkTypeMacro().

## ~vtkImagePlanarComponentsToComponents()

vtkImagePlanarComponentsToComponents::~vtkImagePlanarComponentsToComponents | ( |  | ) |

inline protected

## Member Function Documentation

## New()

vtkImagePlanarComponentsToComponents * vtkImagePlanarComponentsToComponents::New | ( |  | ) |

static

References vtkImagePlanarComponentsToComponents().

## PrintSelf()

void vtkImagePlanarComponentsToComponents::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## RequestData()

virtual int vtkImagePlanarComponentsToComponents::RequestData | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * | )

protected virtual

References vtkImagePlanarComponentsToComponents().

## vtkTypeMacro()

vtkImagePlanarComponentsToComponents::vtkTypeMacro | ( | vtkImagePlanarComponentsToComponents | ,
|  | vtkImageAlgorithm | )

References vtkImagePlanarComponentsToComponents().

The documentation for this class was generated from the following file:

- vtkImagePlanarComponentsToComponents.h